DKBSignDocs

API reference

POSTRequires Bearer token

Start a document conversation

/api/ai/conversations

Creates a chat bound to one or more ingested documents. Then POST messages on /api/ai/conversations/{conversation_id}/messages.

Path parameters

This endpoint has no path parameters.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
type
Required
stringMust be document.
e.g. "document"
document_ids
Required
arrayAt least one ingested document id.
e.g. ["3fa85f64-5717-4562-b3fc-2c963f66afa6"]

Responses

StatusMeaning
201See the example response.
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/ai/conversations' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"type":"document","document_ids":["3fa85f64-5717-4562-b3fc-2c963f66afa6"]}'

Response 201

json
{
  "conversation_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}